InclusiveRepositoryContentDescriptor (Gradle API 7.6.3)

Package org.gradle.api.artifacts.repositories

## Interface InclusiveRepositoryContentDescriptor

- All Known Subinterfaces:
    `MavenRepositoryContentDescriptor`, `RepositoryContentDescriptor`

      public interface InclusiveRepositoryContentDescriptor

  Descriptor of a repository content, used to avoid reaching to an external repository when not needed.

  Only inclusions can be defined at this level (cross-repository content). Excludes need to be defined per-repository using `RepositoryContentDescriptor`. Similarly to declaring includes on specific repositories via `ArtifactRepository.content(Action)`, inclusions are extensive, meaning that anything which doesn't match the includes will be considered missing from the repository.

  Since:
    6.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `includeGroup​(java.lang.String group)` | Declares that an entire group should be searched for in this repository.
    `void` | `includeGroupByRegex​(java.lang.String groupRegex)` | Declares that an entire group should be searched for in this repository.
    `void` | `includeModule​(java.lang.String group, java.lang.String moduleName)` | Declares that an entire module should be searched for in this repository.
    `void` | `includeModuleByRegex​(java.lang.String groupRegex, java.lang.String moduleNameRegex)` | Declares that an entire module should be searched for in this repository, using regular expressions.
    `void` | `includeVersion​(java.lang.String group, java.lang.String moduleName, java.lang.String version)` | Declares that a specific module version should be searched for in this repository.
    `void` | `includeVersionByRegex​(java.lang.String groupRegex, java.lang.String moduleNameRegex, java.lang.String versionRegex)` | Declares that a specific module version should be searched for in this repository, using regular expressions.

- - ### Method Detail

    - #### includeGroup

          void includeGroup​(java.lang.String group)

      Declares that an entire group should be searched for in this repository.
      Parameters:
        `group` - the group name

    - #### includeGroupByRegex

          void includeGroupByRegex​(java.lang.String groupRegex)

      Declares that an entire group should be searched for in this repository.
      Parameters:
        `groupRegex` - a regular expression of the group name

    - #### includeModule

          void includeModule​(java.lang.String group,
                             java.lang.String moduleName)

      Declares that an entire module should be searched for in this repository.
      Parameters:
        `group` - the group name
        `moduleName` - the module name

    - #### includeModuleByRegex

          void includeModuleByRegex​(java.lang.String groupRegex,
                                    java.lang.String moduleNameRegex)

      Declares that an entire module should be searched for in this repository, using regular expressions.
      Parameters:
        `groupRegex` - the group name regular expression
        `moduleNameRegex` - the module name regular expression

    - #### includeVersion

          void includeVersion​(java.lang.String group,
                              java.lang.String moduleName,
                              java.lang.String version)

      Declares that a specific module version should be searched for in this repository.
      Parameters:
        `group` - the group name
        `moduleName` - the module name
        `version` - the module version

    - #### includeVersionByRegex

          void includeVersionByRegex​(java.lang.String groupRegex,
                                     java.lang.String moduleNameRegex,
                                     java.lang.String versionRegex)

      Declares that a specific module version should be searched for in this repository, using regular expressions.
      Parameters:
        `groupRegex` - the group name regular expression
        `moduleNameRegex` - the module name regular expression
        `versionRegex` - the module version regular expression